Package com.sas.lsaf.execution.job

## Class JobPublishCheckin

- java.lang.Object
- - com.sas.lsaf.execution.job.OutputFileSpec
  - - com.sas.lsaf.execution.job.JobPublishCheckin

- All Implemented Interfaces:
    `java.io.Serializable`

      public class JobPublishCheckin
      extends OutputFileSpec

  The class that represents the method to check in outputs and, optionally, the locations from which to checkin the outputs.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobPublishCheckin()` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addLocation​(java.lang.String path)` | Adds the path to the folder to checkin when the job completes.
    `void` | `addLocation​(java.lang.String path, boolean includeSubfolders)` | Adds the path to the folder and whether to include child folder content at check in when the job completes.
    `JobPublishCheckin` | `custom​(java.lang.String customVersion)` | Gets a JobPublishCheckin with the `VersionType` as CUSTOM.
    `JobPublishCheckin` | `enableVersioningForNewFiles()` | Gets a JobPublishCheckin with versioning enabled for new files.
    `JobPublishCheckin` | `enableVersioningForNewFiles​(boolean enableVersioningOnNewFiles)` | Gets a JobPublishCheckin to specify whether to version new files.
    `java.util.List<JobPublishCheckinLocation>` | `getLocations()` | Gets the folder locations for check in when the job completes.
    `JobPublishCheckin` | `major()` | Gets a JobPublishCheckin with the `VersionType` of MAJOR.
    `JobPublishCheckin` | `minor()` | Gets a JobPublishCheckin with the `VersionType` of MINOR.
    `void` | `setLocations​(java.util.List<JobPublishCheckinLocation> locations)` | Sets the locations of the folders to check in when the job completes.
    `java.lang.String` | `toString()` |
    `JobPublishCheckin` | `versionType​(VersionType versionType, java.lang.String customVersion)` | Gets a JobPublishCheckin with the specified `VersionType` using the specified version, if version type is CUSTOM.

    - ### Methods inherited from class com.sas.lsaf.execution.job.OutputFileSpec

      `equals, getCustomVersion, getVersionType, hashCode, isEnableVersioningForNewFiles, setCustomVersion, setEnableVersioningForNewFiles, setVersionType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobPublishCheckin

          public JobPublishCheckin()

      Constructor.

  - ### Method Detail

    - #### getLocations

          public java.util.List<JobPublishCheckinLocation> getLocations()

      Gets the folder locations for check in when the job completes.
      Returns:
        The locations of the folders.

    - #### setLocations

          public void setLocations​(java.util.List<JobPublishCheckinLocation> locations)

      Sets the locations of the folders to check in when the job completes.
      Parameters:
        `locations` - The locations to the folders.

    - #### addLocation

          public void addLocation​(java.lang.String path)

      Adds the path to the folder to checkin when the job completes.
      Parameters:
        `path` - The path to the folder.

    - #### addLocation

          public void addLocation​(java.lang.String path,
                                  boolean includeSubfolders)

      Adds the path to the folder and whether to include child folder content at check in when the job completes.
      Parameters:
        `path` - The path to the folder.
        `includeSubfolders` - Indicates whether to include child folder content.

    - #### enableVersioningForNewFiles

          public JobPublishCheckin enableVersioningForNewFiles()

      Gets a JobPublishCheckin with versioning enabled for new files.
      Returns:
        A JobPublishCheckin.

    - #### enableVersioningForNewFiles

          public JobPublishCheckin enableVersioningForNewFiles​(boolean enableVersioningOnNewFiles)

      Gets a JobPublishCheckin to specify whether to version new files. The default is false.
      Parameters:
        `enableVersioningOnNewFiles` - Indicates whether to version new files.
      Returns:
        A JobPublishCheckin to specify whether to version new files.

    - #### major

          public JobPublishCheckin major()

      Gets a JobPublishCheckin with the `VersionType` of MAJOR.
      Returns:
        A JobPublishCheckin with the `VersionType` of MAJOR.

    - #### minor

          public JobPublishCheckin minor()

      Gets a JobPublishCheckin with the `VersionType` of MINOR.
      Returns:
        A JobPublishCheckin with the `VersionType` of MINOR.

    - #### custom

          public JobPublishCheckin custom​(java.lang.String customVersion)

      Gets a JobPublishCheckin with the `VersionType` as CUSTOM.
      Parameters:
        `customVersion` - The custom version.
      Returns:
        A JobPublishCheckin with the `VersionType` of CUSTOM.

    - #### versionType

          public JobPublishCheckin versionType​(VersionType versionType,
                                               java.lang.String customVersion)

      Gets a JobPublishCheckin with the specified `VersionType` using the specified version, if version type is CUSTOM.
      Parameters:
        `versionType` - The method to generate the version for the file.
        `customVersion` - The custom version.
      Returns:
        A JobPublishCheckin with the specified `VersionType`.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `OutputFileSpec`